
// fragment shader

#version 330

const float tau = 3.14159;

uniform float time;
uniform vec2 resolution;

out vec4 glFragColor;

void main(void) {
  vec2 uv = (2.0 * gl_FragCoord.xy - resolution) / min(resolution.x, resolution.y) * tau;
  float x = uv.x;
  float y = uv.y;
  float v = x + y*y;
  v *= 0.125;
  v += (time * 0.1);
  vec3 c = vec3(0.5) + 0.9 * cos(2 * tau * (v + vec3(0.2, 0.4, 0.8)));
  glFragColor = vec4(vec3(c), 1.0);
}