
// fragment shader

#version 330

#ifdef GL_ES
// Set default precision to medium
precision mediump float;
#endif

uniform float time;
uniform vec2 resolution;
out vec4 glFragColor;

const float tau = 6.2832;

void main(void) {
  vec2 uv = (3.0 * gl_FragCoord.xy - resolution) / min(resolution.x, resolution.y);
  float v = sin(tau * uv.x + (uv.y * 2.0 + 0.6*time));
  v += cos(tau * uv.y + (uv.y + 0.8*time * 1.6) * 2.0);
  v += cos (length(uv));
  v *= 0.125;
  v += 0.25;
  v += time * 0.2;
  vec3 c = vec3(0.5) + 0.5 * tan(tau * (v + vec3(0.1,0.3,0.3)));
  glFragColor = vec4(c, 1.0);
}
