
// fragment shader

#version 330

#ifdef GL_ES
// Set default precision to medium
precision mediump float;
#endif

const float tau = 6.2832;

uniform float time;
uniform vec2 resolution;

out vec4 glFragColor;

void main(void) {
  vec2 uv = (2.0 * gl_FragCoord.xy - resolution) / min(resolution.x, resolution.y);
  float v = cos(tau * uv.x + sin(uv.y * 2.0 + time));
  v += mod(cos(tau * uv.y + sin(uv.x + time * 1.6) * 25.0), 1.0);
  v *= sin(length(uv));
  v *= 0.125;
  v += 0.125;
  v += time;
  vec3 c = vec3(0.5) + 0.8 * cos(tau * (v + vec3(0.7, 0.8, 0.0)));
  glFragColor = vec4(c, 1.0);
}
